Fork me on GitHub"

# skbio.tree.TreeNode.root_at

TreeNode.root_at(node)

  Return a new tree rooted at the provided node.

  State: Experimental as of 0.4.0.

  This can be useful for drawing unrooted trees with an orientation that reflects knowledge of the true root location.

  Parameters:

    node (TreeNode or str) – The node to root at

  Returns:

    A new copy of the tree

  Return type:

    TreeNode

  Raises:

    TreeError – Raises a TreeError if a tip is specified as the new root

  See also

  `root_at_midpoint`, `unrooted_deepcopy`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["(((a,b)c,(d,e)f)g,h)i;"])
      >>> print(tree.root_at('c'))
      (a,b,((d,e)f,(h)g)c)root;